Announcement

Collapse
No announcement yet.

Unigine Engine Now Complies With OpenGL 3.2 Core

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Unigine Engine Now Complies With OpenGL 3.2 Core

    Phoronix: Unigine Engine Now Complies With OpenGL 3.2 Core

    A development log update posted to the Unigine website reaffirms what I wrote this past weekend with Unigine Valley and Unigine Heaven 4.0 Coming Next Week...

    http://www.phoronix.com/vr.php?view=MTI5OTI

  • #2
    OpenGL renderer targeting (and being in compliance with) the OpenGL 3.2 Core Profile
    Compliance with specifications, good it should always be like that.

    Comment


    • #3
      Originally posted by plonoma View Post
      Compliance with specifications, good it should always be like that.
      You have to do this for OS X. Being nice or following best practice is irrelevent.

      On the Windows/Linux drivers, using Core profile is just stupid. The drivers get even buggier than usual. Last OpenGL we did used Core to share a single code path on all platforms. End users would just have the game crash and burn inside driver code on both major vendors (Intel users at the time couldn't run the game unless they had brand new hardware; Intel doesn't update drivers for old hardware, so users who had D3D10 compat hardware were stuck with GL 3.1) unless the drivers were fully up to date, which most users don't do (they just use whatever driver was installed by the system builder).

      Don't use Core in production for at least another 4 years. Don't use GL unless targetting platforms that give you no option, like Linux/OSX/iOS. The support costs alone and bad reviews the driver troubles cause can sink you.

      Comment


      • #4
        Developing with latest Unigine build here on Linux + nVidia Quadro and This build feels quite a bit smoother. I can't comment about other driver stacks on Linux.

        Comment

        Working...
        X